#ifndef __RESEAU_SDL
#define __RESEAU_SDL
#include <iostream> 
#include <SDL.h>
#include <SDL_image.h>
#include <time.h>
#include "../InterfaceCpp/sdlcommon.h"
#include "../InterfaceCpp/SFont.h"

#include "../backprop/neurone.h"
#include "../backprop/couche.h"
#include "../backprop/inputCouche.h"
#include "../backprop/synapse.h"
#include "../backprop/synapseMatrix.h"
#include "../backprop/reseau.h"

#define FONT_PATH "InterfaceCpp/font.png"

using namespace std;


class ReseauSDL
	{
	private:
		SDL_Surface* screen;
		int couche1;
		int couche2;
		int couche3;
		int width;
		int height;
		bool active;
		Reseau *R;
		//SFont_Font* font;
		
	public:
		ReseauSDL();
		// ~ReseauSDL();
		void setReseau(Reseau *r);
		void putPixel(int , int , char, char, char);
		void refresh();
		//void redraw_synapses(Reseau &R);
		void drawNeuron(int couche, int neur);
		void showScreen(int x, int y);
		void hideScreen();
		bool getState();
		void setState(bool );
	};

#endif
